Subject: Re: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Rainer M Krug <[email-masked]>
Date: Mon, 26 Oct 2015 08:59:39 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Rainer M Krug <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 22 Oct 2015 18:22:43 +0200
>> 
>> >> > Please update from the Git repository and recompile before you
>> >> > continue on Monday.  I've committed the above change, and also made a
>> >> > couple of other changes, and hope those changes will fix the crashes.
>> >> 
>> >> Done so, and I have another crash, although I am not sure if it is the
>> >> same. I attach the log and the session is still open.
>> >
>> > That seems like an entirely different crash.
>> 
>> That is good to know - I was using emacs for quite some time and no crash.
>
> I'd like to close this bug, so if you have no further problems that
> cause invalid face ID to be used, let's declare the problem solved.
>
> Thank you very much for your invaluable help in solving this tricky
> bug.

I have to thank you - as the bug does not affect to many users (strange
config? OS X?).

I learned a lot and can continue working without crashing emacs.

I let you know if the error occurs again.

Thanks a lot,

Rainer

-- 
Rainer M. Krug, PhD (Conservation Ecology, SUN), MSc (Conservation Biology, UCT), Dipl. Phys. (Germany)

Centre of Excellence for Invasion Biology
Stellenbosch University
South Africa

Tel :       +33 - (0)9 53 10 27 44
Cell:       +33 - (0)6 85 62 59 98
Fax :       +33 - (0)9 58 10 27 44

Fax (D):    +49 - (0)3 21 21 25 22 44

email:      [email-masked]

Skype:      RMkrug

PGP: 0x0F52F982